Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232789 - MP3 sound does not work in video
Summary: MP3 sound does not work in video
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 20:25 UTC by Pete Zaitcev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 17:48:45 UTC


Attachments (Terms of Use)

Description Pete Zaitcev 2007-03-17 20:25:23 UTC
Description of problem:

The MP3 sound does not work in video. Rhythmbox works, so it's not
an issue of Gstreamer plugins. There's no error message of any kind,
the sound is just absent.

Version-Release number of selected component (if applicable):

totem-2.18.0-1.fc7

How reproducible:

100%. I have a special test clip.

Steps to Reproduce:
1. Play a video with sound encoded in MP3.
  
Actual results:

No sound.

Expected results:

Sound.

Additional info:

The key point is that Rhythmbox works. So it's not like bug 208951.

Comment 1 Bastien Nocera 2007-03-19 10:25:06 UTC
Doesn't make much sense. Could you please try and make the file (or the first ~5
megs of the file) available?

Could you also attach the output of "GST_DEBUG=*:2 totem /path/to/movie/file"?
Does the file show up as MP3 sound in the properties? Does it play at all?

Comment 2 Pete Zaitcev 2007-03-19 17:48:45 UTC
It's my error. Apparently, the default volume inside Totem is zero. I clued in
when I tested DVDs with AC-3 sound. I think it would be neat just use the
system volume and not have a built-in volume control, but in any case it
works now.


Note You need to log in before you can comment on or make changes to this bug.